Subject: Diffie-Hellman DomainParameters

From: "Tolga Acar" <[email-masked]>
Date: Mon, 12 Apr 1999 16:27:46 -0600

In RFC 2459, Section 7.3.2, two components of the DomainParameters are defined as:

"g specifies the generator of the multiplicative subgroup of order g"
"q specifies the prime factor of p-1"

The order of the subgroup is the order of g, g is not the order; g is the multiplicative subgroup generator. The order of g is q, which is a large prime factor of p-1.

I think the definitions would be correct and more clear if defined as:

"g specifies the generator of the multiplicative subgroup of order q".
"q specifies the prime factor of p-1, and the order of g in GF(p)".

- Tolga